Skip to main content
POST
Create a cost alert

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.

Body

application/json
urlState
string
required
name
string
required
Minimum string length: 1
currency
enum<string>
required
Available options:
USD,
EUR,
GBP,
CNY,
KRW
queries
object[]
required
notificationChannel
enum<string>
required
Available options:
SLACK
slackChannelId
string
required
Minimum string length: 1
thresholds
object[]
queryName
string
default:""
evaluationPeriod
enum<string>
default:DAILY
Available options:
DAILY,
WEEKLY,
MONTHLY
thresholdType
enum<string>
default:ABOVE
Available options:
ABOVE,
UNDER
description
string
default:""
tagIds
string[]
type
enum<string>
Available options:
PRIVATE,
PUBLIC
teamId
string | null
scout
string | null
Minimum string length: 1
scopeId
string | null
condition
string | null
dedup
messageWidgets
object[]

Response

Cost alert created

id
string
required
organizationId
string
required
createdAt
string<date-time> | null
required
updatedAt
string<date-time> | null
required
createdById
string
required
createdBy
object
required
type
enum<string>
required
Available options:
PRIVATE,
PUBLIC
teamId
string | null
required
tags
object[]
required
archivedAt
string<date-time> | null
required
scopeId
string | null
required
urlState
string
required
name
string
required
currency
enum<string>
required
Available options:
USD,
EUR,
GBP,
CNY,
KRW
queryName
string
required
queries
object[]
required
evaluationPeriod
enum<string>
required
Available options:
DAILY,
WEEKLY,
MONTHLY
thresholdType
enum<string>
required
Available options:
ABOVE,
UNDER
snoozedUntil
string<date-time> | null
required
condition
string | null
required
conditionAdvancedExplorerQuery
object | null
required
dedupKind
enum<string> | null
required
Available options:
CALENDAR,
ROLLING,
null
dedupCalendarUnit
enum<string> | null
required
Available options:
WEEK,
MONTH,
null
dedupWindowDays
integer | null
required
dedupResetAt
string<date-time> | null
required
notificationChannel
enum<string>
required
Available options:
EMAIL,
SLACK,
TEAMS
emails
string<email>[]
required
slackChannelId
string | null
required
teamsChannelId
string | null
required
description
string
required
access
object
required